import { pgettext } from '@billogram/lang';
import reactInterpolate from '@billogram/react-interpolate';
export default function getDropdownSortOptions(columns, sortBy, sortDirection) {
  var mappedSortColumns = columns.filter(function (column) {
    return column.title !== void 0 && column.sortByColumnKey !== void 0;
  }).map(function (column) {
    return {
      text: column.title,
      value: column.sortByColumnKey
    };
  });

  if (mappedSortColumns.length > 0 && !mappedSortColumns.map(function (column) {
    return column.value;
  }).includes(sortBy)) {
    mappedSortColumns.unshift({
      text: pgettext('foundation-table', 'Dropdown--unspecified-sort-by'),
      value: sortBy
    });
  }

  return mappedSortColumns.map(function (column) {
    var item = {
      text: column.text,
      textSelected: reactInterpolate(pgettext('foundation-table', 'Dropdown--sort[%(sortBy)s,%(sortDirection)s]'), {
        sortBy: column.text,
        sortDirection: pgettext('foundation-table', "SortDirection--".concat(sortDirection))
      }),
      value: column.value
    };
    return item;
  });
}
//# sourceMappingURL=getDropdownSortOptions.js.map