import React from 'react';
import purebem from 'purebem';
import { FoundationAsyncButton } from '@billogram/foundation-button';
import FoundationTableCell from './FoundationTableCell';
import FoundationTableCellSingleControlGroup from './FoundationTableCellSingleControlGroup';
import './FoundationTableCellAsyncButton.scss';

function noop() {}

export default function FoundationTableCellAsyncButton(_ref) {
  var asyncAction = _ref.asyncAction,
      children = _ref.children,
      columnName = _ref.columnName,
      _ref$onAsyncActionSuc = _ref.onAsyncActionSuccess,
      onAsyncActionSuccess = _ref$onAsyncActionSuc === void 0 ? noop : _ref$onAsyncActionSuc,
      _ref$onAsyncActionErr = _ref.onAsyncActionError,
      onAsyncActionError = _ref$onAsyncActionErr === void 0 ? noop : _ref$onAsyncActionErr,
      _ref$visible = _ref.visible,
      visible = _ref$visible === void 0 ? true : _ref$visible;
  var block = purebem('foundation-table-cell-async-button');
  return /*#__PURE__*/React.createElement(FoundationTableCell, {
    columnName: columnName
  }, /*#__PURE__*/React.createElement(FoundationTableCellSingleControlGroup, null, /*#__PURE__*/React.createElement("div", {
    className: block({
      hidden: !visible
    })
  }, /*#__PURE__*/React.createElement(FoundationAsyncButton, {
    asyncAction: asyncAction,
    onAsyncActionSuccess: onAsyncActionSuccess,
    onAsyncActionError: onAsyncActionError
  }, children))));
}
//# sourceMappingURL=FoundationTableCellAsyncButton.js.map