import React from 'react';
import purebem from 'purebem';
import { FoundationButton } from '@billogram/foundation-button';
import { pgettext } from '@billogram/lang';
import FoundationTableCell from './FoundationTableCell';
import { useTableRowInternal } from './FoundationTableRowContextInternal';
import './FoundationTableCellExpandButton.scss';
export default function FoundationTableCellExpandButton(_ref) {
  var columnName = _ref.columnName;
  var block = purebem('foundation-table-cell-expand-button');

  var _useTableRowInternal = useTableRowInternal(),
      expand = _useTableRowInternal.expand;

  return /*#__PURE__*/React.createElement(FoundationTableCell, {
    columnName: columnName
  }, /*#__PURE__*/React.createElement("div", {
    className: block('button')
  }, /*#__PURE__*/React.createElement(FoundationButton, {
    onClick: expand.toggle
  }, pgettext('foundation-table', "Button--".concat(expand.value ? 'collapse' : 'expand')))), /*#__PURE__*/React.createElement("button", {
    className: block('chevron', {
      collapsed: !expand.value,
      expanded: expand.value
    }),
    onClick: expand.toggle
  }));
}
//# sourceMappingURL=FoundationTableCellExpandButton.js.map