import React from 'react';
import purebem from 'purebem';
import FoundationTableCell from './FoundationTableCell';
import { useTableRowInternal } from './FoundationTableRowContextInternal';
import './FoundationTableCellValue.scss';

function getColumnTitle(columnName, columns) {
  var column = columns.find(function (column) {
    return column.name === columnName;
  });

  if (column === void 0) {
    console.warn("Missing `title` for column name`".concat(columnName, "`."));
    return '';
  }

  return column.title;
}

export default function FoundationTableCellValue(_ref) {
  var children = _ref.children,
      columnName = _ref.columnName,
      _ref$ui = _ref.ui,
      ui = _ref$ui === void 0 ? [] : _ref$ui;
  var block = purebem('foundation-table-cell-value');

  var _useTableRowInternal = useTableRowInternal(),
      columns = _useTableRowInternal.columns;

  return /*#__PURE__*/React.createElement(FoundationTableCell, {
    columnName: columnName
  }, /*#__PURE__*/React.createElement("div", {
    className: block()
  }, /*#__PURE__*/React.createElement("div", {
    className: block('key')
  }, getColumnTitle(columnName, columns)), /*#__PURE__*/React.createElement("div", {
    className: block('value', ui)
  }, children)));
}
//# sourceMappingURL=FoundationTableCellValue.js.map