import React from 'react';

function noop() {}

var toggler = {
  set: noop,
  toggle: noop,
  unset: noop,
  value: false
}; // This is needed or we'll get into a factory function nightmare due to the generic argument on `FoundationTableRowContext`.

var FoundationTableRowContextInternal = /*#__PURE__*/React.createContext({
  columns: [],
  expand: toggler,
  handle: toggler,
  highlight: toggler,
  transparency: toggler
});
export function FoundationTableRowContextInternalProvider(_ref) {
  var children = _ref.children,
      columns = _ref.columns,
      expand = _ref.expand,
      handle = _ref.handle,
      highlight = _ref.highlight,
      transparency = _ref.transparency;
  var context = React.useMemo(function () {
    return {
      columns: columns,
      expand: expand,
      handle: handle,
      highlight: highlight,
      transparency: transparency
    };
  }, [columns, expand, handle, highlight, transparency]);
  return /*#__PURE__*/React.createElement(FoundationTableRowContextInternal.Provider, {
    value: context
  }, children);
}
export function useTableRowInternal() {
  return React.useContext(FoundationTableRowContextInternal);
}
//# sourceMappingURL=FoundationTableRowContextInternal.js.map